Package org.eclipse.net4j.util.ui.actions

## Class LongRunningActionDelegate

- java.lang.Object
- - org.eclipse.net4j.util.ui.actions.SafeActionDelegate
  - - org.eclipse.net4j.util.ui.actions.LongRunningActionDelegate

- All Implemented Interfaces:
    `IActionDelegate`

      public abstract class LongRunningActionDelegate
      extends SafeActionDelegate

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeActionDelegate

      `INTERACTIVE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongRunningActionDelegate()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `cancel()` |
    `protected void` | `checkCancelation​(IProgressMonitor monitor)` |
    `protected abstract void` | `doRun​(IProgressMonitor progressMonitor)` |
    `protected java.lang.String` | `getBundleID()` |
    `protected int` | `getTotalWork()` | Deprecated. Not supported anymore.
    `protected void` | `preRun()` |
    `protected void` | `safeRun()` |
    `protected void` | `setTotalWork​(int totalWork)` | Deprecated. Not supported anymore.

    - ### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeActionDelegate

      `getAction, getSelection, getShell, getText, run, selectionChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongRunningActionDelegate

          public LongRunningActionDelegate()

  - ### Method Detail

    - #### getTotalWork

          @Deprecated
          protected final int getTotalWork()

      Deprecated.
      Not supported anymore.

    - #### setTotalWork

          @Deprecated
          protected final void setTotalWork​(int totalWork)

      Deprecated.
      Not supported anymore.

    - #### cancel

          protected final void cancel()

    - #### safeRun

          protected final void safeRun()
                                throws java.lang.Exception

      Specified by:
        `safeRun` in class `SafeActionDelegate`
      Throws:
        `java.lang.Exception`

    - #### preRun

          protected void preRun()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getBundleID

          protected java.lang.String getBundleID()

    - #### doRun

          protected abstract void doRun​(IProgressMonitor progressMonitor)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        2.0

    - #### checkCancelation

          protected final void checkCancelation​(IProgressMonitor monitor)